"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const merge_1 = __importDefault(require("lodash/merge"));
const __1 = require("..");
const urls = [
    {
        loc: 'https://example.com',
    },
    {
        loc: 'https://example.com/about',
    },
    {
        loc: 'https://example.com/contact',
    },
];
const xmlTags = [
    '<?xml version="1.0" encoding="UTF-8"?>',
    '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"',
    'xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"',
    'xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9',
    'http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">',
    '<priority>1.00</priority>',
    '<changefreq>monthly</changefreq>',
    '</urlset>',
];
const expected = (0, merge_1.default)(urls.map((url) => `<loc>${url.loc}</loc>`), xmlTags);
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
describe('sitemaps', () => {
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    it('should work', () => {
        const xml = (0, __1.createSitemap)({
            filePath: undefined,
            urls,
        });
        expected.forEach((tag) => {
            assert_1.default.equal(true, xml.includes(tag));
        });
    });
});
